Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.toolbar
Class ToolBarTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.tonbeller.wcf.component.ComponentTag
              com.tonbeller.wcf.toolbar.ToolBarTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class ToolBarTag
extends ComponentTag

Author:
  av
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ToolBarTag()`

Method Summary
`Component` | `createComponent(RequestContext context)` creates the component.
`java.lang.String` | `getBundle()`
`ToolBar` | `getToolBar()`
`void` | `release()`
`void` | `setBundle(java.lang.String string)`
`void` | `setGlobalButtonIds(boolean globalButtonIds)`

Methods inherited from class com.tonbeller.wcf.component.ComponentTag
`doEndTag, doStartTag, getComponent, isObjectCreated, setRole, setValidate, setVisible`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToolBarTag

    public ToolBarTag()

Method Detail

### release

    public void release()

### getToolBar

    public ToolBar getToolBar()

### createComponent

    public Component createComponent(RequestContext context)
                              throws javax.servlet.jsp.JspException

  Description copied from class: `ComponentTag`
  creates the component. Called whenever the object does not exist in the session

  Specified by:
    `createComponent` in class `ComponentTag`
  Returns:
    the object that will be placed into the session
  Throws:
    `javax.servlet.jsp.JspException`

### getBundle

    public java.lang.String getBundle()

  Returns:

### setBundle

    public void setBundle(java.lang.String string)

  Parameters:
    `string` -

### setGlobalButtonIds

    public void setGlobalButtonIds(boolean globalButtonIds)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD